petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMSetCoordinateDM

Sets the DM that prescribes coordinate layout and scatters between global and local coordinates

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMSetCoordinateDM(DM dm, DM cdm)

Logically Collective on DM

### Input Parameters

| dm | - the DM
| cdm | - coordinate DM

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMGetCoordinateDM(), DMSetCoordinates(), DMSetCoordinatesLocal(), DMGetCoordinates(), DMGetCoordinatesLocal()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex77.c.html